Home/Support/Support Forum/Upgrade Connect ME 2MB to Connect ME4 using NET+OS 6.0F
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Upgrade Connect ME 2MB to Connect ME4 using NET+OS 6.0F

0 votes
Hello All,

We have been using the Connect ME 9210 2M [DC-ME-01T-C] developed under NET+OS 6.0F.

Now that EOL has happened, we need to figure out what changes to make to upgrade the firmware to use the Connect ME4.

Is there anyone who has done this? Any information would be greatly appreciated.

Sincerely,
Keith
asked Jul 7 in NET+OS by KeithM New to the Community (0 points)
edited Jul 18 by LeonidM

Please log in or register to answer this question.

1 Answer

0 votes
There is some confusing info in your post. you say you are using: Connect ME 9210 2M [DC-ME-01T-S]
But DC-ME-01T-S is not Connect ME 9210, it is regular Connect ME. and I suspect you are not using [DC-ME-01T-S] but using [DC-ME-01T-C]. Is this correct?

Netos 6.0 is extremely old and has been not supported for over 10 years. Would you consider upgrading your app to the latest version of netos?
Otherwise, do you still have netos 6.0 build system?
The first thing I would try is to use the same images on ME4 as it is the same hardware and just larger memory, but it might work as is. Do not update bootloader, just the application image unless you have a good reason to do so. Try it on a module with JTAG first so you can recover if it bricks.
answered Jul 7 by LeonidM Veteran of the Digi Community (3,727 points)
Hi Leonid,

1. Sorry, my bad. We are using the DC-ME-01T-S. We replace the default firmware with our customized version developed via NET+OS 6.0F.

2. Yes, I do have the Netos 6.0 build system.

3. I tried to use our image and updated the application image but the ME4 Processor will not initialize. This may be due to IPV6.

Agreed, Memory also may be an issue but where to change?

Thanks for helping. Do let me know if anything runs across your mind.
if you have a build system, do you have a development board and a ME4 module with JTAG? Please try to load your image and try to step over the code. How far does it reach? where does it get stuck?
Is your application big? have you considered porting it to Netos 7.5?
When replying to this, please click on the "reply" button and not create a new answer, otherwise, I will not see your reply.
...